



ruby --version
IF %ERRORLEVEL% NEQ 0 exit /B 1
gem --version
IF %ERRORLEVEL% NEQ 0 exit /B 1
ruby -e 'puts "Hi, from Ruby!"'
IF %ERRORLEVEL% NEQ 0 exit /B 1
ruby -r rubygems -e 'puts "Has gems."; exit 0'
IF %ERRORLEVEL% NEQ 0 exit /B 1
ruby -r fiddle -r openssl -r yaml -r zlib -e 'puts "Has all dependencies."; exit 0'
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
